Skip to content

/api/v1/api-keys/{id} (GET)

GET
/api/v1/api-keys/{id}
curl --request GET \
--url https://example.com/api/v1/api-keys/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'
id
required
string format: uuid

OK

object
id
required
string format: uuid
name
required
string
keyPrefix
required
string
permissions
required
Array<string>
status
required
string
Allowed values: Active Expired Inactive
createdAt
required
string format: date-time
createdByUserId
required
string format: uuid
nullable
lastUsedAt
required
string format: date-time
nullable
expiresAt
required
string format: date-time
nullable

Forbidden

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable